Subject: [Isis-wg] RE: New ISIS MIB Issue

From: Jeff Parker <[email-masked]>
Date: Fri, 28 Dec 2001 14:51:44 -0500

Thanks: will do.

- jeff parker
- axiowave networks
- All those who believe in psychokinesis, raise my hand.

> -----Original Message-----
> From: Les Ginsberg [mailto:[email-masked]]
> Sent: Friday, December 28, 2001 2:50 PM
> To: 'Jeff Parker'
> Subject: New ISIS MIB Issue
> 
> 
> 
> 
> Jeff -
> 
> Here's another cleanup issue. In regards to:
> 
>      isisSysLSPIgnoreErrors OBJECT-TYPE
>          SYNTAX TruthValue
>          MAX-ACCESS read-create
>          STATUS current
>          DESCRIPTION
>              "If true, allow the router to ignore IS-IS link 
> state packets
>              (LSPs) that are received with internal checksum 
> errors rather
>              than purging the LSPs."
>          DEFVAL { false }
>      ::= { isisSysEntry 27 }
> 
> The truth of the matter is that the strategy of purging 
> received LSPs w
> checksum errors was a defect in the 1992 spec which was corrected by
> Technical Corrigendum I years ago. This change has been 
> incorporated into
> 10589:2001. The revised spec (7.3.14.2a) now reads:
> 
> a)	An Intermediate system receiving a Link State PDU with 
> an incorrect
> LSP Checksum or with an invalid PDU syntax shall
> 
> 1)	generate a corruptedLSPReceived circuit event,
> 
> 2)	discard the PDU.
> 
> Popular implementations that have knobs to control ignoring 
> vs. purging
> notwithstanding, the fact is that a conformant implementation 
> should always
> ignore LSPs with checksum errors. Therefore, I think the 
> above should be
> removed from the MIB.
> 
> If you need further references let me know - I can dig up the 
> old defect
> reports if needed.
> 
>    Les
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg